GET /stocks/material-types/folders/{materialTypeFolderId}/deep-material-types

Get a material type folder child material types

This endpoint allows the user to get all material types inside a specific folder and its subfolders.

Operation ID: getMaterialTypeFolderDeepMaterialTypes
lock This endpoint requires a Bearer token in the Authorization header.

Path Parameters

Name Type Description
materialTypeFolderId required
path
string

The material type folder ID

Query Parameters

Name Type Description
sort
query
string

The name of the attribute to use for sort order

order
query
string

The direction of the sort order

asc desc
page
query
integer

The page number (1-based) to retrieve the results, according to the `limit` defined

limit
query
integer

Limit to restrict the number of entries per page

s_code
query
string

Filter by code.

s_name
query
string

Filter by name.

Responses

data object

MaterialType model structure details

id string read-only

ID of the Material Type

Example: 1

type string read-only

Model type

stock-material-type
attributes object
material_type_id string read-only

ID of the material type

Example: 1

parent_id string

ID of the associated parent folder of the material type

Example: 1

name string

Name of the material type

Example: Chemical

code string

Code of the material type

Example: CH-00001

created_at string (date-time)

Creation date

Example: 2021-01-01 00:00:00

updated_at string (date-time)

Last update date

Example: 2021-01-01 00:00:00

deleted_at string (date-time) | null

Deletion date

Example: 2021-01-01 00:00:00

status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
404
message string

Example: Resource not found

more_info string | null
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string